/***************************************************************************
 *   Copyright (C) 2018 by Nicolas Garcia-Pedrajas                         *
 *   npedrajas@uco.es                                                      *
 *                                                                         *
 *   This program is FREE software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "ml.h"

// Functions that deal with list of labels

// Labels must be sorted in ascending order
bool LabelInList(int label, int *labels, int n_labels)
{
    for (int i = 0; i < n_labels && label >= labels[i]; i++)
        if (labels[i] == label)
            return true;

    return false;
}

// Labels must be sorted in ascending order
bool LabelInListUnsorted(int label, int *labels, int n_labels)
{
    for (int i = 0; i < n_labels; i++)
        if (labels[i] == label)
            return true;

    return false;
}
