/***************************************************************************
 *   Copyright (C) 2009 by Nicolas Garcia-Pedrajas                         *
 *   npedrajas@uco.es                                                      *
 *                                                                         *
 *   This program is FREE software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _WRAPPER_H
#define _WRAPPER_H

#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <setjmp.h>
#include "typex.h"

// Prototypes
/* bmifs.c */
int BoostingMutualInformationFeatureSelection(const t_Parameters *, int, scalar **, int *, int, int, int *);
scalar WeightedMutualInformation(int, scalar *, scalar **, int, int, int *, scalar **, int *, scalar *);
/* wmi.c */
int WeightedMutualInformationFS(const t_Parameters *, int, scalar **, int *, int, int, int *);
scalar VectorMaxValue(scalar *, int);
/* mrmr.c */
void mRMR(const t_Parameters *, scalar **, int, int *, int, int *, int, int);

#endif /*_WRAPPER_H */
