/***************************************************************************
 *   Copyright (C) 2011 by Nicolas Garcia-Pedrajas                         *
 *   npedrajas@uco.es                                                      *
 *                                                                         *
 *   This program is FREE software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <stdlib.h>
#include <stdbool.h>
#include "is.h"
#include "macros.h"
#include "common.h"
#include <unistd.h>

// Class purity maximization (CPM). Following: K. Yoon, K and S. Kwek (2005). "An unsupervised learning approach to resolving the data imbalanced issue in supervised learning problems in functional genomics", in HIS ’05: Proceedings of the Fifth International Conference on Hybrid Intelligent Systems, pp. 303–308.

// It is not a purely instance selection algorithm

int
ClassPurityMaximization(int *S, scalar **data, int instances, int *label, int inputs, int minority)
{
    // Recursive implementation :-(

}

void RecursiveCPM(scalar imp, int *parent)
{
    scalar impurity = INFINITE;
    int *C1, *C2;

    while (imp <= impurity) {
        // If all tested return

        // Pick a pair of instances, one from majority class and another from minority class

        // Partition into two clusters C1 and C2

        // impurity = min ( impurity(C1), impurity(C2) )
    }

    RecursiveCPM(impurity(C1), C1);
    RecursiveCPM(impurity(C2), C2);
}